﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace C1ChartinMVVMPart2
{
  public  class Sales:INotifyPropertyChanged
    {
      public Sales(string product,double salevalue,double volume,string shipcity,double discount)
      {
          _product = product;
          _salevalue = salevalue;
          _volume = volume;
          _shipcity = shipcity;
          _discount = discount;
          _variance = (_volume*1000/_salevalue);
      }
        #region privateFields
      string _product;
      double _salevalue;
      double _volume;
      double _discount;
      string _shipcity;
      double _variance;

        #endregion
        #region publicProperties
      public string Product
      {
          get { return _product; }
          set { _product = value; }
      }
      public double SaleValue
      {
          get { return _salevalue; }
          set { _salevalue = value; OnPropertyChanged("SaleValue"); }
      }
       public double Volume
      {
          get { return _volume; }
          set { _volume = value; OnPropertyChanged("Volume"); }
      }
       public double Discount
       {
           get { return _discount; }
           set { _discount = value; OnPropertyChanged("Discount"); }
       }
       public double Variance
       {
           get { return (this.Volume*1000/ this.SaleValue); }
       }
       public string ShipCity
       {
           get { return _shipcity; }
           set { _shipcity = value; OnPropertyChanged("ShipCity"); }
       }
        #endregion
        #region INotifyPropertyChanged Members

       public event PropertyChangedEventHandler PropertyChanged;
       public void OnPropertyChanged(string property)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(property));
           }
       }
       #endregion
    }
}
